The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от opennews (??) on 22-Авг-17, 11:10 
Доступен (https://github.com/flatpak/flatpak/releases/tag/0.9.8) релиз инструментария Flatpak 0.9.8 (http://flatpak.org/), в рамках которого развивается система для сборки самодостаточных пакетов, которые не привязаны к конкретным дистрибутивам Linux и выполняются в специальном контейнере, изолирующем приложение от остальной системы. Поддержка выполнения Flatpak-пакетов обеспечена для Arch Linux, CentOS (https://copr.fedorainfracloud.org/coprs/amigadave/flatpak-epel7/), Debian, Fedora, Gentoo, Mageia и Ubuntu. Пакеты с Flatpak включены в репозиторий Fedora и поддерживаются в штатной программе управления приложениями GNOME.

В новом выпуске добавлена (https://github.com/flatpak/flatpak/commit/655e7ce5c3bc0b8f89...) экспериментальная поддержка P2P-установок (peer2peer), активируемая при помощи опции "--enable-p2p" и позволяющая организовать загрузку приложений и runtime-наборов через промежуточные узлы в локальной сети или через перенос данных на сменных носителях для систем не имеющих сетевого подключения.

Из других изменений можно отметить добавление в файл конфигурации параметра для настройки локали (по умолчанию устанавливается поддержка всех локалей  для системных установок и выставленной для пользователя локали для установок в каталоге пользователя). В build-update-repo обеспечено сохранение двух последних наборов delta-изменений для дополнительной защиты от состояний гонки при загрузке новых изменений в процессе обновления. Также обеспечена поддержка загрузки дополнительных данных из локального кэша.

URL: https://github.com/flatpak/flatpak/releases/tag/0.9.8
Новость: https://www.opennet.ru/opennews/art.shtml?num=47062

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –1 +/
Сообщение от User (??) on 22-Авг-17, 11:10 
В принципе, приколькно. Интересная модель унификации пакетов для всех дистров.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –6 +/
Сообщение от Аноним (??) on 22-Авг-17, 11:15 
PBI умер... Да здравствует PBI.

Печально, что к этому катится. Многие не осваивают упаковку в deb, rpm. А вот в случае проприетарщины это не плохо, ибо они никак не могут в deb/rpm.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

3. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +2 +/
Сообщение от Аноним (??) on 22-Авг-17, 11:23 
Что значит - "не осваивают"?
Думаете, сформировать flatpack-контейнер намного проще, чем собрать rpm-пакет?
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

6. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +4 +/
Сообщение от Аноним (??) on 22-Авг-17, 12:24 
>Думаете, сформировать flatpack-контейнер намного проще, чем собрать rpm-пакет?

Зачастую нужны не просто два deb и rpm пакета, а нужны разные deb/rpm для разных версий целевых дистрибутивов.

Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

28. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от user455 on 22-Авг-17, 22:15 
и в чем разница между этими двумя пакетами? обычно указание различных версий зависимостей, и то далеко не всегда. чаще просто пересборка.
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

30. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +4 +/
Сообщение от Аноним (??) on 23-Авг-17, 00:23 
>обычно указание различных версий зависимостей

This. Проблема в том, что не у всех есть ресурсы тестировать своё ПО на куче комбинаций версий этих зависимостей. Flatpak выглядит спасением для разработчиков нишевого ПО, у которого 3.5 пользователей: один на Arch, второй на Debian 6, а остальные полтора на разных инвалидных колясках.

Я совершенно не понимаю хейт в сторону Flatpak. Не нравится - ну так и не пользуйся! Для более-менее популярного ПО ментейнеры соберут нативные deb/rpm/etc.

Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

12. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 22-Авг-17, 13:27 
> А вот в случае проприетарщины это не плохо, ибо они никак не могут в deb/rpm.

почему это не могут ? сколько раз видел deb который притаскивал жирный статически-собранный продукт

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

17. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 22-Авг-17, 16:10 
Потому что не у всех есть возможность/желание собирать свою программу под тысячу и один дистрибутив, с разными версиями библиотек в каждом.
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

19. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Andrey Mitrofanov on 22-Авг-17, 17:15 
> Потому что не у всех есть возможность/желание собирать свою программу под тысячу
> и один дистрибутив, с разными версиями библиотек в каждом.

Да, даже под _одинаковые_ версии библиотек и то https://debconf17.debconf.org/talks/181/ , с*ки, никто не собирает.  Беда!111

Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

21. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 22-Авг-17, 17:57 
Поэтому пишите открытый^W свободный софт. В оригинальном сообщении и были упомянуты проприетарщики, которые не шмогли и пусть себе упаковавыют в pak'и.
Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

38. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 23-Авг-17, 13:56 
> Потому что не у всех есть возможность/желание собирать свою программу под тысячу
> и один дистрибутив, с разными версиями библиотек в каждом.

так что мешает статически собрать с теми либами которые протестировал и впихнуть в деб у которого зависимостей будет 0 ?

Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

20. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –2 +/
Сообщение от Тот_Самый_Анонимус on 22-Авг-17, 17:40 
>Многие не осваивают упаковку в deb, rpm

Да не, просто в случае самодостаточных пакетов не будет такого: «OpenOffice не в наших репах, потому что это никому не интересно, вам надо, вы и делайте». А будет просто: зашёл на сайт разработчика, скачал и поставил. Да, венда-стайл, но зато зависит только от самих разработчиков, а не от сборщиков пакетов дистрибутива.

Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

23. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 22-Авг-17, 17:59 
>> "... зависит толь от самих разработчиков... "

то-то и оно

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

27. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –2 +/
Сообщение от Тот_Самый_Анонимус on 22-Авг-17, 21:59 
Что «оно»?
Ситуация когда кто-то собирает за разработчиков и может «не захотеть», и тогда это будут «мои проблемы» намного лучше?
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

4. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +1 +/
Сообщение от Аноним (??) on 22-Авг-17, 11:33 
Это к Nix https://nixos.org/nix/
Или Guix.

А flatpak - это недоразумение.

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

5. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –1 +/
Сообщение от Аноним (??) on 22-Авг-17, 11:57 
Нам очень важно ваше экспертное мнение, спасибо за отзыв.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

9. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +1 +/
Сообщение от Crazy Alex (ok) on 22-Авг-17, 13:15 
Nix/Guix - не меньшее недоразумение
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

13. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +1 +/
Сообщение от J.L. on 22-Авг-17, 13:27 
> Nix/Guix - не меньшее недоразумение

а какие более доразумения есть ?

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

18. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноний on 22-Авг-17, 16:55 
Appimage
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

31. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от vitalif (ok) on 23-Авг-17, 00:49 
Appimage кстати норм, да
Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

24. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +1 +/
Сообщение от Crazy Alex (ok) on 22-Авг-17, 18:53 
Нормальная система репозиториев, вестимо
Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

37. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 23-Авг-17, 13:50 
> Нормальная система репозиториев, вестимо

и как там иметь у себя на компе несколько версий программ/либ/чёрта лысого ?

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

39. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –3 +/
Сообщение от Crazy Alex (ok) on 23-Авг-17, 14:03 
Так репозитории тем и хороши, что защищают от идиотских идей вроде этой.
Ответить | Правка | ^ к родителю #37 | Наверх | Cообщить модератору

43. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 23-Авг-17, 15:10 
> Так репозитории тем и хороши, что защищают от идиотских идей вроде этой.

мне нужна jdk1.7.0_21 для работы фиговой jcp.1.0.54 (и апдейтить нельзя, ибо лицензия на 2 денег стоит) и последняя java7 для остальных проектов
не решайте за меня что мне нужно, блжад

Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

45. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +2 +/
Сообщение от Аноним (??) on 23-Авг-17, 18:46 
Не про Яву, но например:

```
$ nix-shell -p cabal-install -p haskell.compiler.ghc7103 --run 'cabal --version; ghc --version'
cabal-install version 1.24.0.1
compiled using version 1.24.1.0 of the Cabal library
The Glorious Glasgow Haskell Compilation System, version 7.10.3

$ nix-shell -p cabal-install -p haskell.compiler.ghc802 --run 'cabal --version; ghc --version'
cabal-install version 1.24.0.1
compiled using version 1.24.1.0 of the Cabal library
The Glorious Glasgow Haskell Compilation System, version 8.0.1.20161117
```

Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

46. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +3 +/
Сообщение от Аноним (??) on 23-Авг-17, 18:55 
>> Так репозитории тем и хороши, что защищают от идиотских идей вроде этой.
> мне нужна jdk1.7.0_21 для работы фиговой jcp.1.0.54 (и апдейтить нельзя, ибо лицензия
> на 2 денег стоит) и последняя java7 для остальных проектов
> не решайте за меня что мне нужно, блжад

Вот про Яву:

$ nix-shell -p jdk8 --run 'java -version'
openjdk version "1.8.0_122"
OpenJDK Runtime Environment (build 1.8.0_122-04)
OpenJDK 64-Bit Server VM (build 25.122-b04, mixed mode)

$ nix-shell -p jdk7 --run 'java -version'
openjdk version "1.7.0-111"
OpenJDK Runtime Environment (build 1.7.0-111-b01)
OpenJDK 64-Bit Server VM (build 24.95-b01, mixed mode)

Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

48. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +3 +/
Сообщение от Crazy Alex (ok) on 24-Авг-17, 01:38 
Правильно написали: Юзеры проприетарщины должны страдать. А юзеры "российской криптографии" - вдвойне :-)
Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

52. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 24-Авг-17, 12:03 
> Правильно написали: Юзеры проприетарщины должны страдать. А юзеры "российской криптографии" - вдвойне :-)

с этим сложно спорить
но установка кучи версий программы или либы и возможность легко запустить любую версию с любой версии либы - обязано быть в функционале пакетного менеджера

Ответить | Правка | ^ к родителю #48 | Наверх | Cообщить модератору

47. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +1 +/
Сообщение от Аноним (??) on 24-Авг-17, 01:10 
Юзеры проприетарщины должны страдать.
Ответить | Правка | ^ к родителю #37 | Наверх | Cообщить модератору

51. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Andrey Mitrofanov on 24-Авг-17, 09:49 
> Юзеры проприетарщины должны страдать.

И юзеры опенсорсиков, ломающих api-совместимость.

И юзеры апстримов, поддерживающих только HEAD в git-е.

Да 46834 с ними с юзерами -- они должны страдать!!!1

Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

53. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 24-Авг-17, 12:07 
> Юзеры проприетарщины должны страдать.

а теперь расскажите мне как мне собрать свободноопенсорсный гласфиш версии 3 (древняя неподдерживаемая тварь в которой надо исправить баг который не исправлен ещё даже в гласфише 5, который ещё даж не вышел) из исходников с помощью свободноопенсорсной жавы 6, свободноопенсорсный мавена_забыл_какая_там_древняя_версия и свободных плагинов и либ древних версий (ну хоть это то обеспечивается мавеном)

а в системе уже давно стоят куда более новые версии вышеперечисленного

Ответить | Правка | ^ к родителю #47 | Наверх | Cообщить модератору

54. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 24-Авг-17, 13:09 
Отстрелить себе ногу можно множеством способов. ССЗБ.
Ответить | Правка | ^ к родителю #53 | Наверх | Cообщить модератору

56. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от некуцй on 25-Авг-17, 14:04 
Поддерживаю.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

7. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от ыы on 22-Авг-17, 12:49 
Следующая новость:
Релиз системы самодостаточных пакетов ГолоеЖелезо - самодостаточные пакеты устанавливаемые на голое железо и не нуждающиеся в ОС...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

15. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от _hide_ (ok) on 22-Авг-17, 15:07 
Для запуска новой программы необходимо перезагрузить компьютер... Проходили :-)
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

29. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +10 +/
Сообщение от Аноним (??) on 22-Авг-17, 23:35 
В наши дни для запуска новой програмы необходимо перезакупить компьютер
Ответить | Правка | ^ к родителю #15 | Наверх | Cообщить модератору

8. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 22-Авг-17, 13:13 
//offtop
>peer2peer ... через перенос данных на сменных носителях

wtf?? rfc на передачу флешек голубиной почтой реализовали ?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

33. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 23-Авг-17, 07:30 
А почему нет? Видимо, потребность есть
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

34. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 23-Авг-17, 07:32 
Много где интернета по проводам нет и вряд ли будет в ближайшее время, а беспроводной слишком паршивый или его нет совсем.
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

44. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –1 +/
Сообщение от J.L. on 23-Авг-17, 15:14 
> Много где интернета по проводам нет и вряд ли будет в ближайшее
> время, а беспроводной слишком паршивый или его нет совсем.

у аптгет например есть папочка в /вар/кеш/ с накачанными пакетиками, вроде если туда положить файлик то он его считает скаченным (не проверял)
флатпаковцы не могли чтоль сделать вот так изначально ? велосипед!!!

Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

10. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от YetAnotherOnanym (ok) on 22-Авг-17, 13:22 
Они что, торрент туда встроили?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

22. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от кверти (ok) on 22-Авг-17, 17:57 
Нет, скайп старых версий.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

11. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –1 +/
Сообщение от J.L. on 22-Авг-17, 13:24 
почему каждый упорыш работающий с сетью норовит вкорячить свой личный велосипед по реализации p2p/dht ? почему не строят логику поверх чего-то вроде https://ru.wikipedia.org/wiki/B.A.T.M.A.N. ?


//offtop
существует нечто такое вообще в природе ?
ядро/либа/нетворкдрайвер:
1) живущее на принципах dht
2) создающее соединение канального уровня
3) с указанием использующим свойств требуемого соединения
а) требования к пропускной способности/латенси (например для видеоканала - реалтаймовый, для файла - быстрый, но пофиг на латенси, для сообщения - "вплоть до голубиной почты") и тд)
б) степень "анонимности" (например по количеству промежуточных узлов / пути например так newSuperProtocol://md525_hash:логическийПорт_уинт32/?speed=123&latency=321&[hopsLength=4|hop1=md525_hash1&hop2=md525_hash2&...] )
4) возможность создавать мультикаст-каналы (в принципе заменяемо на логическом уровне)

речь именно о единой сетевой либе для разных потребителей - инетпейджеры, аудио/видеочаты, передача файлов, хостинг файлов, и тд

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

35. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 23-Авг-17, 07:42 
Разве Batman работает over IP?

> б) степень "анонимности" (например по количеству промежуточных узлов / пути например так newSuperProtocol://md525_hash:логическийПорт_уинт32/?speed=123&latency=321&[hopsLength=4|hop1=md525_hash1&hop2=md525_hash2&...] )

Я уже отвечал на этот вопрос под другой новостью - такие вещи как лэйтенси и количество хопов невозможно гарантировать в общем случае. Это возможно только при соблюдении кучи условий.

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

41. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от J.L. on 23-Авг-17, 14:12 
> Разве Batman работает over IP?

Batman для примера существующего канального уровня, а не велосипеда по p2p в каждой проге с p2p/
IPFS ещё один вариант.
Или i2p.

>> б) степень "анонимности" (например по количеству промежуточных узлов / пути например так newSuperProtocol://md525_hash:логическийПорт_уинт32/?speed=123&latency=321&[hopsLength=4|hop1=md525_hash1&hop2=md525_hash2&...] )
> Я уже отвечал на этот вопрос под другой новостью - такие вещи
> как лэйтенси и количество хопов невозможно гарантировать в общем случае. Это
> возможно только при соблюдении кучи условий.

так и tcp/ip не гарантирует доставку в общем случае
но либа сможет делать телодвижения чтоб пытаться поддерживать заданные параметры (или например падать с ошибкой что невозможно сделать это)

зы: а количество хопов как раз таки легко делается через "тунель внутри тунеля" - к каждому хопу свой тунель который проходит сквозь всех предыдущих

Ответить | Правка | ^ к родителю #35 | Наверх | Cообщить модератору

14. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –2 +/
Сообщение от Аноним (??) on 22-Авг-17, 14:30 
Если давать всем пользователям выделенных серверов единый дистрибутив, а пользователи будут ставить подобный флатпак то можно просто волшебно съэкономить на СХД которая будет дедуплицировать все данные, связанные с ОС. Стоимость такого решения для конечного пользователя будет очень конкурентноспособным.

Иными словами провайдер держит одну копию Линукса и по десятку мегабайт флатпаки пользователей.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

16. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +4 +/
Сообщение от Аноним (??) on 22-Авг-17, 15:07 
>по десятку терабайт

Исправил.

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

25. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 22-Авг-17, 21:18 
Какие терабайты? Рантайм в флетпаке весит 150 мегабайт. А сами пакеты крошечные.
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

40. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Admino (ok) on 23-Авг-17, 14:03 
Это смотря какой рантайм. У eos рантайм больше 800 Мб.
Ответить | Правка | ^ к родителю #25 | Наверх | Cообщить модератору

50. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Онаним on 24-Авг-17, 07:24 
Чё за eos?
Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

26. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –1 +/
Сообщение от Аноним (??) on 22-Авг-17, 21:38 
> P2P

Paket to Paket?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

32. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  –2 +/
Сообщение от vitalif (ok) on 23-Авг-17, 00:53 
Так KDE-подобное блобье надо паковать.

А то нарожали, блин, 150 библиотечек, а дистростроители каждую заботливо в отдельный пакет... в отдельный пакет... ужос один

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

36. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +1 +/
Сообщение от Аноним (??) on 23-Авг-17, 09:27 
Латентные проприетарщики, вроде Calibre, всеравно не будут использовать даже этот блоб. А подтирать за всеми своими силами - много чести
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

42. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +3 +/
Сообщение от Аноним (??) on 23-Авг-17, 14:30 
Смотрю я на все эти флатпаки с аппимейджами, потом смотрю на статически слинкованный скайп версии 2.1, который до сих пор запускается и работает (относительно, конечно - залогиниться нельзя), и мне кажется, что изобретатели этих велосипедов - неосиляторы простые.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

49. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +1 +/
Сообщение от Аноним (??) on 24-Авг-17, 05:30 
Так этот собранный скайп нужно обернуть в контейнер, что бы он не лез своими грязными ручонками в хомяка твоего. А потом еще и в deb/rpm/whatever, что бы установился в систему без хаков. О том и разговор, что есть куча всяких левых "скайпов", и что бы их грамотно поставить, сделали упомянутые тобой флатпаки с аппимейджами, который и песочницу построят и пакет будет одного формата. Никто у проприерастов святое право клепать статические блобы не отнимает!
Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

55. "Релиз системы самодостаточных пакетов Flatpak 0.9.8 с поддер..."  +/
Сообщение от Аноним (??) on 24-Авг-17, 18:47 
suse забыли?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру